<?php
	session_start();
	$nom = $_SESSION['nom_admin'];
?>
<!DOCTYPE html>
<html>
	<head>
		<title>Nuevo usuario</title>
		<link rel="stylesheet" type="text/css" href="./css/stylesheet.css">
		<script src="./js/jquery.min.js"></script>
        <script type="text/javascript" src="./js/script.js"></script>
<!--        <link rel="stylesheet" type="text/css" href="http://fonts.googleapis.com/css?family=Open+Sans">-->
        <?php
        	require ("./Funciones/funciones.php");
			$id = $_GET['id'];

			$conexion = conecta();
			$sql= "SELECT * FROM usuarios where idusuario ='$id' and activado='1' and eliminado='0'";
			$res = mysqli_query($conexion,$sql);
			$num = mysqli_num_rows($res);

			$nombre = mysql_result($res, 0,"nombre");
			$apellidos = mysql_result($res, 0,"apellidos");
			$email = mysql_result($res, 0,"email");
			$pass = mysql_result($res, 0,"pass");
			$dir = mysql_result($res, 0,"domicilio");
			$tel = mysql_result($res, 0,"telefono");
        ?>
        <script type="text/javascript">
        	function formulario(f) { 
        		var correo2 = "<?php echo $email;?>";
				if (f.nombre.value   == '') { alert ('El nombre esta vacio');  
				f.nombre.focus(); return false; } 
				if (f.apellidos.value   == '') { alert ('Los apellidos estan vacios');  
				f.apellidos.focus(); return false; } 
				if (f.pass.value  == '') { alert ('La contraseña esta vacia'); 
				f.pass.focus(); return false; } 
				if (f.correo.value  == '') { alert ('El email esta vacio'); 
				f.correo.focus(); return false; }
				if (f.domicilio.value  == '') { alert ('Domicilio vacio'); 
				f.domicilio.focus(); return false; }
				if (f.telefono.value  == '') { alert ('Telefono vacio'); 
				f.telefono.focus(); return false; }

			}
			function checarcorreo(j) {
				var correo2 = "<?php echo $email;?>";
				alert (correo2);
				
			}
        </script>
	</head>
	<body>

		<?php include('menu.php');?>

		<div id="form" align="center">
			<h2>Agregar un nuevo usuario</h2>
			<form method="post" action="usuario_salvar.php?id=<?php echo "$id";?>" onsubmit="return formulario(this);">
				<input type="text" id="nombre" name="nombre" placeholder="Nombre" value="<?php echo "$nombre";?>"></br>
				<input type="text" id="apellidos" name="apellidos" placeholder="Apellidos" value="<?php echo "$apellidos";?>"></br>
				<?php
				if($id==''){
					echo "<input type=\"text\" id=\"pass\" name=\"pass\" placeholder=\"Password\"  ></br>";
					echo "<input type=\"text\" onBlur=\"correochecuser(this);\" id=\"correoform\" name=\"correo\" placeholder=\"Correo\"  value=\"$email\"></br>";
					echo "<input type=\"text\" id=\"domicilio\" name=\"domicilio\" placeholder=\"Domicilio\"  ></br>";
					echo "<input type=\"text\" id=\"tel\" name=\"telefono\" placeholder=\"Telefono\"  ></br>";
					echo "<input type=\"Submit\" class=\"boton\" name=\"enviar\" value=\"Guardar\">";
					
				}
				else{		
					echo "<input type=\"text\" id=\"correoform\" name=\"correo\" placeholder=\"Correo\"  value=\"$email\"></br>";
					echo "<input type=\"text\" id=\"domicilio\" name=\"domicilio\" placeholder=\"Domicilio\"  value=\"$dir\"></br>";
					echo "<input type=\"text\" id=\"tel\" name=\"telefono\" placeholder=\"Telefono\"  value=\"$tel\"></br>"; 
					echo "<input type=\"Submit\" id=\"actualizarboton\" class=\"boton\" name=\"enviar\" value=\"Actualizar\">";

				}
				?>
		    </form>
		    <a href="usuario_lista.php">Regresar al listado</a>
		</div>

				<div id="footer" align="center">
			<p>Programacion Web 2014</p>
		</div>
	</body>
</html>